module Luckysheet
  module Rails
    class Engine < ::Rails::Engine
      initializer 'luckysheet-sass.assets.precompile' do |app|
        %w(stylesheets javascripts fonts images).each do |sub|
          app.config.assets.paths << root.join('assets', sub).to_s
        end
        unless Sprockets::Rails::VERSION.split('.', 2)[0].to_i >= 3
          %w[eot svg ttf woff woff2].each do |ext|
            app.config.assets.precompile << "fontawesome-webfont.#{ext}"
            app.config.assets.precompile << "iconfont/iconfont.#{ext}"
          end
          %w(FontAwesome.otf plugins/font_934335_kaqqxgj7xqf.ttf plugins/font_1109445_3uhchn0iu1o.ttf iconfont/Anton-Regular.ttf iconfont/HanaleiFill-Regular.ttf iconfont/Pacifico-Regular.ttf).each do |file|
            app.config.assets.precompile << file
          end
        end
        # sprockets-rails 3 tracks down the calls to `font_path` and `image_path`
        # and automatically precompiles the referenced assets.
        # if Sprockets::Rails::VERSION.split('.', 2)[0].to_i < 3
        #   app.config.assets.precompile << %r(bootstrap/glyphicons-halflings-regular\.(?:eot|svg|ttf|woff2?)$)
        # end
      end
    end
  end
end